﻿using System;
using System.Windows.Forms;
using System.Runtime.InteropServices;

namespace DotNetControls
{
    [Guid("49FF691F-F2AB-4413-ADF8-24CC0C4D40AF")]
    [ClassInterface(ClassInterfaceType.None)]
    public partial class ProgressBar : COMUserControl, ProgressBarInterface
    {
        public ProgressBar()
        {
            InitializeComponent();
        }

        public int Value
        {
            get { return this.Control.Value; }
            set { this.Control.Value = value; }
        }

        public bool Marquee
        {
            get { return (this.Control.Style == ProgressBarStyle.Marquee); }
            set
            {
                if (value == true)
                    this.Control.Style = ProgressBarStyle.Marquee;
                else
                    this.Control.Style = ProgressBarStyle.Continuous;
            }
        }
    }

    public interface ProgressBarInterface
    {
        int Value { get; set; }
        bool Marquee { get; set; }
    }
}